---
title: DNS
description: Access aggregated DNS query data from Cloudflare 1.1.1.1 resolver through Radar to explore top locations by hostname.
image: https://developers.cloudflare.com/cf-twitter-card.png
---

> Documentation Index  
> Fetch the complete documentation index at: https://developers.cloudflare.com/radar/llms.txt  
> Use this file to discover all available pages before exploring further. 

[Skip to content](#%5Ftop) 

# DNS

Access aggregated and anonymized DNS queries to Cloudflare's [1.1.1.1](https://developers.cloudflare.com/1.1.1.1/) public resolver service.

## List of endpoints

### Top locations

#### Example: Geographical distribution of `google.com` versus `yandex.ru`

In the next example, we will request the top originating locations for `google.com` DNS queries:

Terminal window

```
curl "https://api.cloudflare.com/client/v4/radar/dns/top/locations?domain=google.com&dateRange=1d&format=json&limit=2" \--header "Authorization: Bearer <API_TOKEN>"
```

The response shows that most queries come from the United States and Brazil:

```
{  "success": true,  "errors": [],  "result": {    "top_0": [      {        "clientCountryAlpha2": "US",        "clientCountryName": "United States",        "value": "43.474518"      },      {        "clientCountryAlpha2": "BR",        "clientCountryName": "Brazil",        "value": "10.772799"      }    ],    "meta": {      // ...    }  }}
```

Making the same search request for `yandex.ru`, a Russian search engine:

Terminal window

```
curl "https://api.cloudflare.com/client/v4/radar/dns/top/locations?domain=yandex.ru&dateRange=1d&format=json&limit=2" \--header "Authorization: Bearer <API_TOKEN>"
```

Returns the following response:

```
{  "success": true,  "errors": [],  "result": {    "top_0": [      {        "clientCountryAlpha2": "RU",        "clientCountryName": "Russian Federation",        "value": "73.710495"      },      {        "clientCountryAlpha2": "DE",        "clientCountryName": "Germany",        "value": "5.518052"      }    ],    "meta": {      // ...    }  }}
```

As expected, most queries come from Russia.

Note

Note that these examples return the total number of DNS queries from a location to a hostname, _out_ of the total DNS queries to a given hostname. In this sense, it is expected that locations with higher population numbers — like the United States — frequently appear in the top spots, even if the actual percentage is low.

You can also provide multiple hostnames. Refer to [Get DNS top locations](https://developers.cloudflare.com/api/resources/radar/subresources/dns/subresources/top/methods/locations/) for more information. This is useful when the application you want to explore uses several hostnames to serve its content (like a hostname for the main website, another hostname dedicated to its API, etc.).

## Next steps

Refer to [Domain ranking](https://developers.cloudflare.com/radar/investigate/domain-ranking-datasets/) for more information on rankings generated by Cloudflare based on DNS queries to [1.1.1.1 public resolver](https://developers.cloudflare.com/1.1.1.1/).

```json
{"@context":"https://schema.org","@type":"TechArticle","@id":"https://developers.cloudflare.com/radar/investigate/dns/#page","headline":"DNS · Cloudflare Radar docs","description":"Access aggregated DNS query data from Cloudflare 1.1.1.1 resolver through Radar to explore top locations by hostname.","url":"https://developers.cloudflare.com/radar/investigate/dns/","inLanguage":"en","image":"https://developers.cloudflare.com/cf-twitter-card.png","dateModified":"2026-04-20","publisher":{"@type":"Organization","name":"Cloudflare","url":"https://www.cloudflare.com/"},"isPartOf":{"@type":"WebSite","@id":"https://developers.cloudflare.com/#website","name":"Cloudflare Docs","url":"https://developers.cloudflare.com/"}}
{"@context":"https://schema.org","@type":"BreadcrumbList","itemListElement":[{"@type":"ListItem","position":1,"item":{"@id":"/directory/","name":"Directory"}},{"@type":"ListItem","position":2,"item":{"@id":"/radar/","name":"Radar"}},{"@type":"ListItem","position":3,"item":{"@id":"/radar/investigate/","name":"Investigate"}},{"@type":"ListItem","position":4,"item":{"@id":"/radar/investigate/dns/","name":"DNS"}}]}
```
